<template>
  <div>
    <template v-if="!startLoading">
      <p class="mb-3 uppercase-title">BEFORE WE WRAP UP</p>
      <h1 class="mb-8">Is there anything else you want your dermatologist to know about your health?</h1>
      <div class="space-y-3 mb-8">
        <radio-input
          v-for="choice in choices"
          :key="choice.text"
          :input-value="choice.text"
          v-model="radioSelected.value"
          :has-free-answer="choice.hasFreeAnswer"
          @textInput="val => radioSelected.freeAnswer = val"
          :text-value="radioSelected.freeAnswer"
        >
          {{ choice.text }}
        </radio-input>
      </div>
      <common-btn
        :disabled="!radioSelected.value"
        text="Save and continue"
        @click="handleClick"
      />
    </template>
    <template v-else>
      <div class="bg-white rounded-lg p-10 flex flex-col items-center justify-center">
        <div class="h1 mb-8">Consultation Complete!</div>
        <CommonLoader/>
      </div>
    </template>
  </div>
</template>

<script>
import {answersMixin, radioMixin} from "@/utils/mixins";
import CommonLoader from "@/components/common/CommonLoader";

export default {
  components: {CommonLoader},
  mixins: [answersMixin, radioMixin],
  name: "SkinAnalysis11",
  watch: {
    'radioSelected.value'() {
      this.radioSelected.freeAnswer = null
    }
  },
  data() {
    return {
      startLoading: false,
      radioSelected: {
        value: null,
        freeAnswer: null
      },
      choices: [
        {
          text: 'No',
        },
        {
          text: 'Yes',
          hasFreeAnswer: true
        },
      ],
      radioHandler: newVal => this.setAnswer(this.answersKeys.SKIN_ANALYSIS, newVal, 'stage_11')
    }
  },
  methods: {
    handleClick() {
      this.startLoading = true
      setTimeout(() => {
        this.nextStage()
      }, 1500)
    }
  }
}
</script>

<style scoped>

</style>
